]> git.zndr.dk Git - dotfiles.git/commitdiff
Move profile scripts
authorJannik Zander <jannikz@gmail.com>
Thu, 26 May 2016 18:35:10 +0000 (20:35 +0200)
committerJannik Zander <jannikz@gmail.com>
Thu, 26 May 2016 18:36:38 +0000 (20:36 +0200)
.config/bash/rc/aliases
.config/git/config
.config/profile/environ.sh [new file with mode: 0644]
.config/profile/git-prompt.sh [new file with mode: 0644]
.config/profile/paths.sh [new file with mode: 0644]
.config/profile/prompt.sh [new file with mode: 0644]
.config/profile/rc/environ.sh [deleted file]
.config/profile/rc/paths.sh [deleted file]
.config/profile/rc/prompt.sh [deleted file]
.profile

index ba501040fd2f5b6fb648f369f929ae05b12cdfdf..6ed654f8b9fd2bc3c036e94545c13d59a31475f1 100644 (file)
@@ -1,30 +1,24 @@
-# Git aliases
-alias gs='git status -sb '   # Note the trailing space
-alias ga='git add '   # Note the trailing space
-alias gbr='git branch '   # Note the trailing space
-alias gci='git commit -m '   # Note the trailing space
-alias gco='git checkout '   # Note the trailing space
-alias gp='git pull --rebase'
-alias gpp='git pull --rebase && git push '   # Note the trailing space
-alias gl='git log --oneline --decorate'
-
 alias sl=ls
 alias la='ls -A'
 alias ll='ls -Al'
 alias l1='ls -1'
 alias l.='ls -d .[a-z]*'
 
-flags="-hF"
+lsflags="-hF"
 # Detect which `ls` flavor is in use
 if [ -x "$(which dircolors 2>/dev/null)" ]; then # GNU `ls`
   eval $(dircolors -b $HOME/.dir_colors)
-  flags="$flags --color=auto"
-  flags="$flags -I NTUSER.\* -I ntuser.\*"
+  colorflag="--color=auto"
+  lsflags="$lsflags -I NTUSER.\* -I ntuser.\*"
 else # OS X `ls`
   export CLICOLOR=1
-  flags="$flags -G"
+  colorflag="-G"
 fi
-alias ls="ls $flags"
+
+alias ls="ls $colorflag $lsflags"
+alias grep='grep --color=auto'
+alias egrep='egrep --color=auto'
+alias fgrep='fgrep --color=auto'
 
 # Shortcuts
 alias g='git'
@@ -62,7 +56,6 @@ alias -- -9="cd -9"
 alias rm='rm -i'
 alias cp='cp -i'
 alias mv='mv -i'
-
 alias md='mkdir -p'
 alias rd='rmdir'
 
@@ -73,10 +66,6 @@ fi
 
 alias info='info --vi-keys'
 #alias less='less -rX'                         # raw control characters, don't clear the screen after quitting
-alias whence='type -a'                        # where, of a sort
-alias grep='grep --color'                     # show differences in color
-alias egrep='egrep --color=auto'              # show differences in color
-alias fgrep='fgrep --color=auto'              # show differences in color
 
 # Enable aliases to be sudo'ed
 alias sudo='sudo '
@@ -96,7 +85,7 @@ alias newterm='mintty /bin/env CHERE_INVOKING=1 /bin/bash -l &'
 alias gtypist='gtypist -wi'
 alias startxwin='run /usr/bin/bash.exe -l -c "/usr/bin/startxwin -- -nolock -unixkill"'
 alias sumatra='startSumatra.sh'
-alias lynx='lynx -use_mouse'
+alias lynx='lynx -use_mouse -vikeys'
 alias startvnc='vncserver -geometry 1870x980 -depth 24'
 alias startvnc4='vnc4server -geometry 1870x980 -depth 24'
 alias python='/usr/local/bin/python3'
index 4f1d985063f9ae3b1b9ef6c2fa8a001dfd6d56ea..a6bd56d2eca03c0a0c727a323104e66f15e4ab15 100644 (file)
@@ -6,36 +6,32 @@
   a = add
   una = reset HEAD --
   uha = checkout HEAD --
-  aa = add -u
   unaa = reset HEAD
   uhaa = reset --hard HEAD
   br = branch
   brdm = "!git branch --merged | grep -v '\\*' | xargs -n 1 git branch -d"
   co = checkout
   go = "!f() { git checkout -b \"$1\" 2> /dev/null || git checkout \"$1\"; }; f"
-  ci = commit -u
-  cia = commit -u -a
-  cim = commit -u -a -m
+  ci = commit
   amend = commit --amend
   unci = reset --soft HEAD~
   diff = diff --word-diff
   dt = difftool
   mt = mergetool
   # dont pull without rebase, and dont push without pull (fetch & merge)
-  pu = pull --rebase
+  p = pull --rebase
   pp = "!git pull --rebase && git push"
   # avoid merge commits
   mf = merge --ff-only
   cp = cherry-pick
   wc = whatchanged -p
   ch = cherry -v
-  st = status -sb
+  s = status -sb
   fs = "!git fetch && git status"
   rb = rebase
   ec = config --global -e
-  l = log --oneline --decorate --reverse
+  l = log --oneline --decorate
   lg = log --pretty=format:"%C(yellow)%h\\ %C(green)%ad%Cred%d\\ %Creset%s%Cblue\\ [%cn]" --decorate --date=short --graph
-  tail = !"git lg -10 HEAD"
   last = log -1 HEAD
   ls = ls-files
   lt = tag -l
diff --git a/.config/profile/environ.sh b/.config/profile/environ.sh
new file mode 100644 (file)
index 0000000..735fa58
--- /dev/null
@@ -0,0 +1,35 @@
+export USERNAME=$LOGNAME
+export HOSTNAME=`hostname`
+#echo Welcome $USERNAME. You are on Server: $HOSTNAME !!!
+
+# Set defaults
+export SHELL='bash'
+export EDITOR='vim'
+export VISUAL='vim'
+export PAGER='less -X'
+export MANPAGER="less -X"
+export BROWSER='lynx -vikeys -use_mouse'
+
+# Larger bash history (allow 32³ entries; default is 500)
+export HISTSIZE=32768;
+export HISTFILESIZE=$HISTSIZE;
+export HISTCONTROL=ignoreboth;
+# Make some commands not show up in history
+export HISTIGNORE="ls:cd:cd -:pwd:exit:date:* --help";
+
+# Prefer US English and use UTF-8
+export LANG="en_US.UTF-8";
+export LC_ALL="en_US.UTF-8";
+
+# Highlight section titles in manual pages
+export LESS_TERMCAP_md="${yellow}";
+
+# Always enable colored `grep` output
+#export GREP_OPTIONS="--color=auto";
+
+# Set up syntax highlighting for 'less' (requires source-highlight package)
+# See http://www.gnu.org/software/src-highlite/source-highlight.html
+# export LESSOPEN="| /usr/bin/src-hilite-lesspipe.sh %s"
+export LESS=-eFRX
+
+
diff --git a/.config/profile/git-prompt.sh b/.config/profile/git-prompt.sh
new file mode 100644 (file)
index 0000000..64219e6
--- /dev/null
@@ -0,0 +1,531 @@
+# bash/zsh git prompt support
+#
+# Copyright (C) 2006,2007 Shawn O. Pearce <spearce@spearce.org>
+# Distributed under the GNU General Public License, version 2.0.
+#
+# This script allows you to see repository status in your prompt.
+#
+# To enable:
+#
+#    1) Copy this file to somewhere (e.g. ~/.git-prompt.sh).
+#    2) Add the following line to your .bashrc/.zshrc:
+#        source ~/.git-prompt.sh
+#    3a) Change your PS1 to call __git_ps1 as
+#        command-substitution:
+#        Bash: PS1='[\u@\h \W$(__git_ps1 " (%s)")]\$ '
+#        ZSH:  setopt PROMPT_SUBST ; PS1='[%n@%m %c$(__git_ps1 " (%s)")]\$ '
+#        the optional argument will be used as format string.
+#    3b) Alternatively, for a slightly faster prompt, __git_ps1 can
+#        be used for PROMPT_COMMAND in Bash or for precmd() in Zsh
+#        with two parameters, <pre> and <post>, which are strings
+#        you would put in $PS1 before and after the status string
+#        generated by the git-prompt machinery.  e.g.
+#        Bash: PROMPT_COMMAND='__git_ps1 "\u@\h:\w" "\\\$ "'
+#          will show username, at-sign, host, colon, cwd, then
+#          various status string, followed by dollar and SP, as
+#          your prompt.
+#        ZSH:  precmd () { __git_ps1 "%n" ":%~$ " "|%s" }
+#          will show username, pipe, then various status string,
+#          followed by colon, cwd, dollar and SP, as your prompt.
+#        Optionally, you can supply a third argument with a printf
+#        format string to finetune the output of the branch status
+#
+# The repository status will be displayed only if you are currently in a
+# git repository. The %s token is the placeholder for the shown status.
+#
+# The prompt status always includes the current branch name.
+#
+# In addition, if you set GIT_PS1_SHOWDIRTYSTATE to a nonempty value,
+# unstaged (*) and staged (+) changes will be shown next to the branch
+# name.  You can configure this per-repository with the
+# bash.showDirtyState variable, which defaults to true once
+# GIT_PS1_SHOWDIRTYSTATE is enabled.
+#
+# You can also see if currently something is stashed, by setting
+# GIT_PS1_SHOWSTASHSTATE to a nonempty value. If something is stashed,
+# then a '$' will be shown next to the branch name.
+#
+# If you would like to see if there're untracked files, then you can set
+# GIT_PS1_SHOWUNTRACKEDFILES to a nonempty value. If there're untracked
+# files, then a '%' will be shown next to the branch name.  You can
+# configure this per-repository with the bash.showUntrackedFiles
+# variable, which defaults to true once GIT_PS1_SHOWUNTRACKEDFILES is
+# enabled.
+#
+# If you would like to see the difference between HEAD and its upstream,
+# set GIT_PS1_SHOWUPSTREAM="auto".  A "<" indicates you are behind, ">"
+# indicates you are ahead, "<>" indicates you have diverged and "="
+# indicates that there is no difference. You can further control
+# behaviour by setting GIT_PS1_SHOWUPSTREAM to a space-separated list
+# of values:
+#
+#     verbose       show number of commits ahead/behind (+/-) upstream
+#     name          if verbose, then also show the upstream abbrev name
+#     legacy        don't use the '--count' option available in recent
+#                   versions of git-rev-list
+#     git           always compare HEAD to @{upstream}
+#     svn           always compare HEAD to your SVN upstream
+#
+# You can change the separator between the branch name and the above
+# state symbols by setting GIT_PS1_STATESEPARATOR. The default separator
+# is SP.
+#
+# By default, __git_ps1 will compare HEAD to your SVN upstream if it can
+# find one, or @{upstream} otherwise.  Once you have set
+# GIT_PS1_SHOWUPSTREAM, you can override it on a per-repository basis by
+# setting the bash.showUpstream config variable.
+#
+# If you would like to see more information about the identity of
+# commits checked out as a detached HEAD, set GIT_PS1_DESCRIBE_STYLE
+# to one of these values:
+#
+#     contains      relative to newer annotated tag (v1.6.3.2~35)
+#     branch        relative to newer tag or branch (master~4)
+#     describe      relative to older annotated tag (v1.6.3.1-13-gdd42c2f)
+#     default       exactly matching tag
+#
+# If you would like a colored hint about the current dirty state, set
+# GIT_PS1_SHOWCOLORHINTS to a nonempty value. The colors are based on
+# the colored output of "git status -sb" and are available only when
+# using __git_ps1 for PROMPT_COMMAND or precmd.
+#
+# If you would like __git_ps1 to do nothing in the case when the current
+# directory is set up to be ignored by git, then set
+# GIT_PS1_HIDE_IF_PWD_IGNORED to a nonempty value. Override this on the
+# repository level by setting bash.hideIfPwdIgnored to "false".
+
+# check whether printf supports -v
+__git_printf_supports_v=
+printf -v __git_printf_supports_v -- '%s' yes >/dev/null 2>&1
+
+# stores the divergence from upstream in $p
+# used by GIT_PS1_SHOWUPSTREAM
+__git_ps1_show_upstream ()
+{
+       local key value
+       local svn_remote svn_url_pattern count n
+       local upstream=git legacy="" verbose="" name=""
+
+       svn_remote=()
+       # get some config options from git-config
+       local output="$(git config -z --get-regexp '^(svn-remote\..*\.url|bash\.showupstream)$' 2>/dev/null | tr '\0\n' '\n ')"
+       while read -r key value; do
+               case "$key" in
+               bash.showupstream)
+                       GIT_PS1_SHOWUPSTREAM="$value"
+                       if [[ -z "${GIT_PS1_SHOWUPSTREAM}" ]]; then
+                               p=""
+                               return
+                       fi
+                       ;;
+               svn-remote.*.url)
+                       svn_remote[$((${#svn_remote[@]} + 1))]="$value"
+                       svn_url_pattern="$svn_url_pattern\\|$value"
+                       upstream=svn+git # default upstream is SVN if available, else git
+                       ;;
+               esac
+       done <<< "$output"
+
+       # parse configuration values
+       for option in ${GIT_PS1_SHOWUPSTREAM}; do
+               case "$option" in
+               git|svn) upstream="$option" ;;
+               verbose) verbose=1 ;;
+               legacy)  legacy=1  ;;
+               name)    name=1 ;;
+               esac
+       done
+
+       # Find our upstream
+       case "$upstream" in
+       git)    upstream="@{upstream}" ;;
+       svn*)
+               # get the upstream from the "git-svn-id: ..." in a commit message
+               # (git-svn uses essentially the same procedure internally)
+               local -a svn_upstream
+               svn_upstream=($(git log --first-parent -1 \
+                                       --grep="^git-svn-id: \(${svn_url_pattern#??}\)" 2>/dev/null))
+               if [[ 0 -ne ${#svn_upstream[@]} ]]; then
+                       svn_upstream=${svn_upstream[${#svn_upstream[@]} - 2]}
+                       svn_upstream=${svn_upstream%@*}
+                       local n_stop="${#svn_remote[@]}"
+                       for ((n=1; n <= n_stop; n++)); do
+                               svn_upstream=${svn_upstream#${svn_remote[$n]}}
+                       done
+
+                       if [[ -z "$svn_upstream" ]]; then
+                               # default branch name for checkouts with no layout:
+                               upstream=${GIT_SVN_ID:-git-svn}
+                       else
+                               upstream=${svn_upstream#/}
+                       fi
+               elif [[ "svn+git" = "$upstream" ]]; then
+                       upstream="@{upstream}"
+               fi
+               ;;
+       esac
+
+       # Find how many commits we are ahead/behind our upstream
+       if [[ -z "$legacy" ]]; then
+               count="$(git rev-list --count --left-right \
+                               "$upstream"...HEAD 2>/dev/null)"
+       else
+               # produce equivalent output to --count for older versions of git
+               local commits
+               if commits="$(git rev-list --left-right "$upstream"...HEAD 2>/dev/null)"
+               then
+                       local commit behind=0 ahead=0
+                       for commit in $commits
+                       do
+                               case "$commit" in
+                               "<"*) ((behind++)) ;;
+                               *)    ((ahead++))  ;;
+                               esac
+                       done
+                       count="$behind  $ahead"
+               else
+                       count=""
+               fi
+       fi
+
+       # calculate the result
+       if [[ -z "$verbose" ]]; then
+               case "$count" in
+               "") # no upstream
+                       p="" ;;
+               "0      0") # equal to upstream
+                       p="=" ;;
+               "0      "*) # ahead of upstream
+                       p=">" ;;
+               *"      0") # behind upstream
+                       p="<" ;;
+               *)          # diverged from upstream
+                       p="<>" ;;
+               esac
+       else
+               case "$count" in
+               "") # no upstream
+                       p="" ;;
+               "0      0") # equal to upstream
+                       p=" u=" ;;
+               "0      "*) # ahead of upstream
+                       p=" u+${count#0 }" ;;
+               *"      0") # behind upstream
+                       p=" u-${count%  0}" ;;
+               *)          # diverged from upstream
+                       p=" u+${count#* }-${count%      *}" ;;
+               esac
+               if [[ -n "$count" && -n "$name" ]]; then
+                       __git_ps1_upstream_name=$(git rev-parse \
+                               --abbrev-ref "$upstream" 2>/dev/null)
+                       if [ $pcmode = yes ] && [ $ps1_expanded = yes ]; then
+                               p="$p \${__git_ps1_upstream_name}"
+                       else
+                               p="$p ${__git_ps1_upstream_name}"
+                               # not needed anymore; keep user's
+                               # environment clean
+                               unset __git_ps1_upstream_name
+                       fi
+               fi
+       fi
+
+}
+
+# Helper function that is meant to be called from __git_ps1.  It
+# injects color codes into the appropriate gitstring variables used
+# to build a gitstring.
+__git_ps1_colorize_gitstring ()
+{
+       if [[ -n ${ZSH_VERSION-} ]]; then
+               local c_red='%F{red}'
+               local c_green='%F{green}'
+               local c_lblue='%F{blue}'
+               local c_clear='%f'
+       else
+               # Using \[ and \] around colors is necessary to prevent
+               # issues with command line editing/browsing/completion!
+               local c_red='\[\e[31m\]'
+               local c_green='\[\e[32m\]'
+               local c_lblue='\[\e[1;34m\]'
+               local c_clear='\[\e[0m\]'
+       fi
+       local bad_color=$c_red
+       local ok_color=$c_green
+       local flags_color="$c_lblue"
+
+       local branch_color=""
+       if [ $detached = no ]; then
+               branch_color="$ok_color"
+       else
+               branch_color="$bad_color"
+       fi
+       c="$branch_color$c"
+
+       z="$c_clear$z"
+       if [ "$w" = "*" ]; then
+               w="$bad_color$w"
+       fi
+       if [ -n "$i" ]; then
+               i="$ok_color$i"
+       fi
+       if [ -n "$s" ]; then
+               s="$flags_color$s"
+       fi
+       if [ -n "$u" ]; then
+               u="$bad_color$u"
+       fi
+       r="$c_clear$r"
+}
+
+__git_eread ()
+{
+       local f="$1"
+       shift
+       test -r "$f" && read "$@" <"$f"
+}
+
+# __git_ps1 accepts 0 or 1 arguments (i.e., format string)
+# when called from PS1 using command substitution
+# in this mode it prints text to add to bash PS1 prompt (includes branch name)
+#
+# __git_ps1 requires 2 or 3 arguments when called from PROMPT_COMMAND (pc)
+# in that case it _sets_ PS1. The arguments are parts of a PS1 string.
+# when two arguments are given, the first is prepended and the second appended
+# to the state string when assigned to PS1.
+# The optional third parameter will be used as printf format string to further
+# customize the output of the git-status string.
+# In this mode you can request colored hints using GIT_PS1_SHOWCOLORHINTS=true
+__git_ps1 ()
+{
+       # preserve exit status
+       local exit=$?
+       local pcmode=no
+       local detached=no
+       local ps1pc_start='\u@\h:\w '
+       local ps1pc_end='\$ '
+       local printf_format=' (%s)'
+
+       case "$#" in
+               2|3)    pcmode=yes
+                       ps1pc_start="$1"
+                       ps1pc_end="$2"
+                       printf_format="${3:-$printf_format}"
+                       # set PS1 to a plain prompt so that we can
+                       # simply return early if the prompt should not
+                       # be decorated
+                       PS1="$ps1pc_start$ps1pc_end"
+               ;;
+               0|1)    printf_format="${1:-$printf_format}"
+               ;;
+               *)      return $exit
+               ;;
+       esac
+
+       # ps1_expanded:  This variable is set to 'yes' if the shell
+       # subjects the value of PS1 to parameter expansion:
+       #
+       #   * bash does unless the promptvars option is disabled
+       #   * zsh does not unless the PROMPT_SUBST option is set
+       #   * POSIX shells always do
+       #
+       # If the shell would expand the contents of PS1 when drawing
+       # the prompt, a raw ref name must not be included in PS1.
+       # This protects the user from arbitrary code execution via
+       # specially crafted ref names.  For example, a ref named
+       # 'refs/heads/$(IFS=_;cmd=sudo_rm_-rf_/;$cmd)' might cause the
+       # shell to execute 'sudo rm -rf /' when the prompt is drawn.
+       #
+       # Instead, the ref name should be placed in a separate global
+       # variable (in the __git_ps1_* namespace to avoid colliding
+       # with the user's environment) and that variable should be
+       # referenced from PS1.  For example:
+       #
+       #     __git_ps1_foo=$(do_something_to_get_ref_name)
+       #     PS1="...stuff...\${__git_ps1_foo}...stuff..."
+       #
+       # If the shell does not expand the contents of PS1, the raw
+       # ref name must be included in PS1.
+       #
+       # The value of this variable is only relevant when in pcmode.
+       #
+       # Assume that the shell follows the POSIX specification and
+       # expands PS1 unless determined otherwise.  (This is more
+       # likely to be correct if the user has a non-bash, non-zsh
+       # shell and safer than the alternative if the assumption is
+       # incorrect.)
+       #
+       local ps1_expanded=yes
+       [ -z "$ZSH_VERSION" ] || [[ -o PROMPT_SUBST ]] || ps1_expanded=no
+       [ -z "$BASH_VERSION" ] || shopt -q promptvars || ps1_expanded=no
+
+       local repo_info rev_parse_exit_code
+       repo_info="$(git rev-parse --git-dir --is-inside-git-dir \
+               --is-bare-repository --is-inside-work-tree \
+               --short HEAD 2>/dev/null)"
+       rev_parse_exit_code="$?"
+
+       if [ -z "$repo_info" ]; then
+               return $exit
+       fi
+
+       local short_sha
+       if [ "$rev_parse_exit_code" = "0" ]; then
+               short_sha="${repo_info##*$'\n'}"
+               repo_info="${repo_info%$'\n'*}"
+       fi
+       local inside_worktree="${repo_info##*$'\n'}"
+       repo_info="${repo_info%$'\n'*}"
+       local bare_repo="${repo_info##*$'\n'}"
+       repo_info="${repo_info%$'\n'*}"
+       local inside_gitdir="${repo_info##*$'\n'}"
+       local g="${repo_info%$'\n'*}"
+
+       if [ "true" = "$inside_worktree" ] &&
+          [ -n "${GIT_PS1_HIDE_IF_PWD_IGNORED-}" ] &&
+          [ "$(git config --bool bash.hideIfPwdIgnored)" != "false" ] &&
+          git check-ignore -q .
+       then
+               return $exit
+       fi
+
+       local r=""
+       local b=""
+       local step=""
+       local total=""
+       if [ -d "$g/rebase-merge" ]; then
+               __git_eread "$g/rebase-merge/head-name" b
+               __git_eread "$g/rebase-merge/msgnum" step
+               __git_eread "$g/rebase-merge/end" total
+               if [ -f "$g/rebase-merge/interactive" ]; then
+                       r="|REBASE-i"
+               else
+                       r="|REBASE-m"
+               fi
+       else
+               if [ -d "$g/rebase-apply" ]; then
+                       __git_eread "$g/rebase-apply/next" step
+                       __git_eread "$g/rebase-apply/last" total
+                       if [ -f "$g/rebase-apply/rebasing" ]; then
+                               __git_eread "$g/rebase-apply/head-name" b
+                               r="|REBASE"
+                       elif [ -f "$g/rebase-apply/applying" ]; then
+                               r="|AM"
+                       else
+                               r="|AM/REBASE"
+                       fi
+               elif [ -f "$g/MERGE_HEAD" ]; then
+                       r="|MERGING"
+               elif [ -f "$g/CHERRY_PICK_HEAD" ]; then
+                       r="|CHERRY-PICKING"
+               elif [ -f "$g/REVERT_HEAD" ]; then
+                       r="|REVERTING"
+               elif [ -f "$g/BISECT_LOG" ]; then
+                       r="|BISECTING"
+               fi
+
+               if [ -n "$b" ]; then
+                       :
+               elif [ -h "$g/HEAD" ]; then
+                       # symlink symbolic ref
+                       b="$(git symbolic-ref HEAD 2>/dev/null)"
+               else
+                       local head=""
+                       if ! __git_eread "$g/HEAD" head; then
+                               return $exit
+                       fi
+                       # is it a symbolic ref?
+                       b="${head#ref: }"
+                       if [ "$head" = "$b" ]; then
+                               detached=yes
+                               b="$(
+                               case "${GIT_PS1_DESCRIBE_STYLE-}" in
+                               (contains)
+                                       git describe --contains HEAD ;;
+                               (branch)
+                                       git describe --contains --all HEAD ;;
+                               (describe)
+                                       git describe HEAD ;;
+                               (* | default)
+                                       git describe --tags --exact-match HEAD ;;
+                               esac 2>/dev/null)" ||
+
+                               b="$short_sha..."
+                               b="($b)"
+                       fi
+               fi
+       fi
+
+       if [ -n "$step" ] && [ -n "$total" ]; then
+               r="$r $step/$total"
+       fi
+
+       local w=""
+       local i=""
+       local s=""
+       local u=""
+       local c=""
+       local p=""
+
+       if [ "true" = "$inside_gitdir" ]; then
+               if [ "true" = "$bare_repo" ]; then
+                       c="BARE:"
+               else
+                       b="GIT_DIR!"
+               fi
+       elif [ "true" = "$inside_worktree" ]; then
+               if [ -n "${GIT_PS1_SHOWDIRTYSTATE-}" ] &&
+                  [ "$(git config --bool bash.showDirtyState)" != "false" ]
+               then
+                       git diff --no-ext-diff --quiet || w="*"
+                       git diff --no-ext-diff --cached --quiet || i="+"
+                       if [ -z "$short_sha" ] && [ -z "$i" ]; then
+                               i="#"
+                       fi
+               fi
+               if [ -n "${GIT_PS1_SHOWSTASHSTATE-}" ] &&
+                  git rev-parse --verify --quiet refs/stash >/dev/null
+               then
+                       s="$"
+               fi
+
+               if [ -n "${GIT_PS1_SHOWUNTRACKEDFILES-}" ] &&
+                  [ "$(git config --bool bash.showUntrackedFiles)" != "false" ] &&
+                  git ls-files --others --exclude-standard --directory --no-empty-directory --error-unmatch -- ':/*' >/dev/null 2>/dev/null
+               then
+                       u="%${ZSH_VERSION+%}"
+               fi
+
+               if [ -n "${GIT_PS1_SHOWUPSTREAM-}" ]; then
+                       __git_ps1_show_upstream
+               fi
+       fi
+
+       local z="${GIT_PS1_STATESEPARATOR-" "}"
+
+       # NO color option unless in PROMPT_COMMAND mode
+       if [ $pcmode = yes ] && [ -n "${GIT_PS1_SHOWCOLORHINTS-}" ]; then
+               __git_ps1_colorize_gitstring
+       fi
+
+       b=${b##refs/heads/}
+       if [ $pcmode = yes ] && [ $ps1_expanded = yes ]; then
+               __git_ps1_branch_name=$b
+               b="\${__git_ps1_branch_name}"
+       fi
+
+       local f="$w$i$s$u"
+       local gitstring="$c$b${f:+$z$f}$r$p"
+
+       if [ $pcmode = yes ]; then
+               if [ "${__git_printf_supports_v-}" != yes ]; then
+                       gitstring=$(printf -- "$printf_format" "$gitstring")
+               else
+                       printf -v gitstring -- "$printf_format" "$gitstring"
+               fi
+               PS1="$ps1pc_start$gitstring$ps1pc_end"
+       else
+               printf -- "$printf_format" "$gitstring"
+       fi
+
+       return $exit
+}
diff --git a/.config/profile/paths.sh b/.config/profile/paths.sh
new file mode 100644 (file)
index 0000000..e643407
--- /dev/null
@@ -0,0 +1,36 @@
+# Set XDG directory defaults
+#export XDG_DATA_DIRS=/usr/share/
+#export XDG_CONFIG_DIRS=/etc/xdg/
+
+# Set PATH so it includes user's private bin if it exists
+if [ -d "${HOME}/.local/bin" ] ; then
+ PATH=.:${HOME}/.local/bin:${PATH}
+fi
+
+# Set MANPATH so it includes users' private man if it exists
+if [ -d "${HOME}/.local/share/man" ]; then
+  MANPATH="${HOME}/.local/share/man:${MANPATH}"
+fi
+
+# Set INFOPATH so it includes users' private info if it exists
+if [ -d "${HOME}/.local/share/info" ]; then
+  INFOPATH="${HOME}/.local/share/info:${INFOPATH}"
+fi
+
+# Set PATH to temporary folders
+export TMPDIR="${HOME}/.tmp"
+export TEMPDIR="$TMPDIR"
+mkdir -m700 "$TMPDIR" > /dev/null 2>&1
+
+# Set PATH to PREFIX folders
+export PREFIX="${HOME}/.local/"
+
+# Add local libraries to libpath
+# LD_LIBRARY_PATH="${PREFIX}/lib:${LD_LIBRARY_PATH}"
+
+# Setup some the location environment variable.
+export MYVIMRC="$HOME/.config/vim/vimrc"
+export INPUTRC="$HOME/.inputrc"
+export HISTFILE="$HOME/.local/share/bash/history";
+
+
diff --git a/.config/profile/prompt.sh b/.config/profile/prompt.sh
new file mode 100644 (file)
index 0000000..d18baa8
--- /dev/null
@@ -0,0 +1,183 @@
+#!/bin/bash
+
+# bash_prompt
+
+# iTerm2 prefs: import Solarized theme (disable bright colors for bold text)
+# Color ref: http://vim.wikia.com/wiki/Xterm256_color_names_for_console_Vim
+# More tips: http://www.cyberciti.biz/tips/howto-linux-unix-bash-shell-setup-prompt.html
+
+if [[ $COLORTERM = gnome-* && $TERM = xterm ]] && infocmp gnome-256color >/dev/null 2>&1; then
+  export TERM='gnome-256color';
+elif infocmp xterm-256color >/dev/null 2>&1; then
+  export TERM='xterm-256color';
+fi;
+
+if [ -f "${HOME}/.config/profile/rc/git-prompt.sh" ]; then
+  URL="https://raw.githubusercontent.com/git/git/master/contrib/completion"
+  curl "${URL}/git-prompt.sh" -L -s -o "${HOME}/.config/profile/rc/git-prompt.sh"
+fi
+
+if [ -f "${HOME}/.config/profile/rc/git-prompt.sh" ]; then
+  . "${HOME}/.config/profile/rc/git-prompt.sh"
+  # Enabling any of these options will slow down the prompt
+  export GIT_PS1_SHOWDIRTYSTATE='y'
+  export GIT_PS1_SHOWSTASHSTATE='y'
+  export GIT_PS1_SHOWUNTRACKEDFILES='y'
+  export GIT_PS1_DESCRIBE_STYLE='contains'
+  export GIT_PS1_SHOWUPSTREAM='auto'
+fi
+
+
+prompt_git()
+{
+  local s=""
+  local branchName=""
+
+  # check if the current directory is in a git repository
+  if [ $(git rev-parse --is-inside-work-tree &>/dev/null; printf "%s" $?) == 0 ]; then
+
+    # check if the current directory is in .git before running git checks
+    if [ "$(git rev-parse --is-inside-git-dir 2> /dev/null)" == "false" ]; then
+
+      # ensure index is up to date
+      git update-index --really-refresh  -q &>/dev/null
+
+      # check for uncommitted changes in the index
+      if ! $(git diff --quiet --ignore-submodules --cached); then
+        s="$s+";
+      fi
+
+      # check for unstaged changes
+      if ! $(git diff-files --quiet --ignore-submodules --); then
+        s="$s*";
+      fi
+
+      # check for untracked files
+      if [ -n "$(git ls-files --others --exclude-standard)" ]; then
+        s="$s%";
+      fi
+
+      # check for stashed files
+      if $(git rev-parse --verify refs/stash &>/dev/null); then
+        s="$s$";
+      fi
+
+    fi
+
+    # get the short symbolic ref
+    # if HEAD isn't a symbolic ref, get the short SHA
+    # otherwise, just give up
+    branchName="$(git symbolic-ref --quiet --short HEAD 2> /dev/null || \
+                  git rev-parse --short HEAD 2> /dev/null || \
+                  printf "(unknown)")"
+
+    [ -n "$s" ] && s=" [$s]"
+
+    printf "%s" "$1$branchName$s"
+  else
+    return
+  fi
+}
+
+set_prompts()
+{
+  local black=""
+  local blue=""
+  local bold=""
+  local cyan=""
+  local green=""
+  local orange=""
+  local purple=""
+  local red=""
+  local reset=""
+  local white=""
+  local yellow=""
+
+  local hostStyle=""
+  local userStyle=""
+
+  # Solarized colors
+  # (https://github.com/altercation/solarized/tree/master/iterm2-colors-solarized#the-values)
+  if [ -x /usr/bin/tput ] && tput setaf 1 >& /dev/null; then
+    bold=$(tput bold)
+    reset=$(tput sgr0)
+
+    black=$(tput setaf 0)
+    blue=$(tput setaf 33)
+    cyan=$(tput setaf 37)
+    green=$(tput setaf 64)
+    orange=$(tput setaf 166)
+    purple=$(tput setaf 125)
+    red=$(tput setaf 124)
+    violet=$(tput setaf 61)
+    white=$(tput setaf 15)
+    yellow=$(tput setaf 136)
+  else
+    bold=""
+    reset="\e[0m"
+
+    black="\e[1;30m"
+    blue="\e[1;34m"
+    cyan="\e[1;36m"
+    green="\e[1;32m"
+    orange="\e[1;33m"
+    purple="\e[1;35m"
+    red="\e[1;31m"
+    violet="\e[1;35m"
+    white="\e[1;37m"
+    yellow="\e[1;33m"
+  fi
+
+  # build the prompt
+
+  # logged in as root
+  if [[ "$USER" == "root" ]]; then
+      userStyle="\[$bold$red\]"
+  else
+      userStyle="\[$orange\]"
+  fi
+
+  # connected via ssh
+  if [[ "$SSH_TTY" ]]; then
+      hostStyle="\[$bold$red\]"
+  else
+      hostStyle="\[$yellow\]"
+  fi
+
+  # Set the terminal title to the current working directory.
+  PS1="\[\033]0;\w\007\]"
+
+  if [ -n "${BASH_VERSION}" ]; then
+    PS1+=$'\r' # carriage return
+    PS1+="\[$userStyle\]\u" # username
+    PS1+="\[$reset$white\] at "
+    PS1+="\[$hostStyle\]\h" # host
+    PS1+="\[$reset$white\] in "
+    PS1+="\[$green\]\w" # working directory
+  #  PS1+="\$(prompt_git \"$white on $cyan\")" # git repository details
+    PS1+="\$(__git_ps1 ' \[${white}\]on \[${cyan}\]%s')";  # on branch
+    PS1+=$'\n' # newline
+    PS1+="\[$reset$white\]\$ \[$reset\]" # $ (and reset color)
+
+    PS2="\[${yellow}\]→ " # `→`
+    PS2+="\[${reset}\]" # reset color
+  else
+    PS1+=$'\r' # carriage return
+    PS1+="\u at \h in \w on \$(__git_ps1 %s)"
+    PS1+=$'\n''\$ ' # newline and $
+
+    PS2="→ "
+  fi
+
+  export PS1
+  export PS2;
+}
+
+
+set_prompts
+unset set_prompts
+
+# Whenever displaying the prompt, write the previous line to disk
+export PROMPT_COMMAND="history -a";
+
+
diff --git a/.config/profile/rc/environ.sh b/.config/profile/rc/environ.sh
deleted file mode 100644 (file)
index b1ffb62..0000000
+++ /dev/null
@@ -1,40 +0,0 @@
-export USERNAME=$LOGNAME
-export HOSTNAME=`hostname`
-#echo Welcome $USERNAME. You are on Server: $HOSTNAME !!!
-
-# Set defaults
-export SHELL=bash
-export EDITOR=vim;
-export VISUAL=vim;
-export PAGER=less
-#export MYVIMRC="$HOME/.config/vim/vimrc"
-
-
-# Larger bash history (allow 32³ entries; default is 500)
-export HISTSIZE=32768;
-export HISTFILESIZE=$HISTSIZE;
-export HISTCONTROL=ignoreboth;
-# Make some commands not show up in history
-export HISTIGNORE="ls:cd:cd -:pwd:exit:date:* --help";
-export HISTFILE="$HOME/.local/share/bash/history";
-
-# Whenever displaying the prompt, write the previous line to disk
-export PROMPT_COMMAND="history -a";
-# Prefer US English and use UTF-8
-# export LANG=$(locale -uU)
-export LANG="en_US.UTF-8";
-export LC_ALL="en_US.UTF-8";
-
-# Highlight section titles in manual pages
-export LESS_TERMCAP_md="${yellow}";
-
-# Don’t clear the screen after quitting a manual page
-export MANPAGER="less -X";
-
-# Always enable colored `grep` output
-#export GREP_OPTIONS="--color=auto";
-
-# Set up syntax highlighting for 'less' (requires source-highlight package)
-# See http://www.gnu.org/software/src-highlite/source-highlight.html
-# export LESSOPEN="| /usr/bin/src-hilite-lesspipe.sh %s"
-export LESS=-eFRX
diff --git a/.config/profile/rc/paths.sh b/.config/profile/rc/paths.sh
deleted file mode 100644 (file)
index 9aa7213..0000000
+++ /dev/null
@@ -1,26 +0,0 @@
-
-# Set PATH so it includes user's private bin if it exists
-if [ -d "${HOME}/.local/bin" ] ; then
- PATH=.:${HOME}/.local/bin:${PATH}
-fi
-
-# Set MANPATH so it includes users' private man if it exists
-if [ -d "${HOME}/.local/share/man" ]; then
-  MANPATH="${HOME}/.local/share/man:${MANPATH}"
-fi
-
-# Set INFOPATH so it includes users' private info if it exists
-if [ -d "${HOME}/.local/share/info" ]; then
-  INFOPATH="${HOME}/.local/share/info:${INFOPATH}"
-fi
-
-# Set PATH to temporary folders
-export TMPDIR="${HOME}/.tmp"
-export TEMPDIR="$TMPDIR"
-mkdir -m700 "$TMPDIR" > /dev/null 2>&1
-
-# Set PATH to PREFIX folders
-export PREFIX="${HOME}/.local/"
-
-# Add local libraries to libpath
-# LD_LIBRARY_PATH="${PREFIX}/lib:${LD_LIBRARY_PATH}"
diff --git a/.config/profile/rc/prompt.sh b/.config/profile/rc/prompt.sh
deleted file mode 100644 (file)
index 3ad0fc7..0000000
+++ /dev/null
@@ -1,179 +0,0 @@
-#!/bin/bash
-
-# bash_prompt
-
-# iTerm2 prefs: import Solarized theme (disable bright colors for bold text)
-# Color ref: http://vim.wikia.com/wiki/Xterm256_color_names_for_console_Vim
-# More tips: http://www.cyberciti.biz/tips/howto-linux-unix-bash-shell-setup-prompt.html
-
-if [[ $COLORTERM = gnome-* && $TERM = xterm ]] && infocmp gnome-256color >/dev/null 2>&1; then
-  export TERM='gnome-256color';
-elif infocmp xterm-256color >/dev/null 2>&1; then
-  export TERM='xterm-256color';
-fi;
-
-if [ -f "${HOME}/.config/profile/rc/git-prompt.sh" ]; then
-  URL="https://raw.githubusercontent.com/git/git/master/contrib/completion"
-  curl "${URL}/git-prompt.sh" -L -s -o "${HOME}/.config/profile/rc/git-prompt.sh"
-fi
-
-if [ -f "${HOME}/.config/profile/rc/git-prompt.sh" ]; then
-  . "${HOME}/.config/profile/rc/git-prompt.sh"
-  # Enabling any of these options will slow down the prompt
-  export GIT_PS1_SHOWDIRTYSTATE='y'
-  export GIT_PS1_SHOWSTASHSTATE='y'
-  export GIT_PS1_SHOWUNTRACKEDFILES='y'
-  export GIT_PS1_DESCRIBE_STYLE='contains'
-  export GIT_PS1_SHOWUPSTREAM='auto'
-  export GIT_PS1_STATESEPARATOR=' ['
-fi
-
-
-prompt_git()
-{
-  local s=""
-  local branchName=""
-
-  # check if the current directory is in a git repository
-  if [ $(git rev-parse --is-inside-work-tree &>/dev/null; printf "%s" $?) == 0 ]; then
-
-    # check if the current directory is in .git before running git checks
-    if [ "$(git rev-parse --is-inside-git-dir 2> /dev/null)" == "false" ]; then
-
-      # ensure index is up to date
-      git update-index --really-refresh  -q &>/dev/null
-
-      # check for uncommitted changes in the index
-      if ! $(git diff --quiet --ignore-submodules --cached); then
-        s="$s+";
-      fi
-
-      # check for unstaged changes
-      if ! $(git diff-files --quiet --ignore-submodules --); then
-        s="$s*";
-      fi
-
-      # check for untracked files
-      if [ -n "$(git ls-files --others --exclude-standard)" ]; then
-        s="$s%";
-      fi
-
-      # check for stashed files
-      if $(git rev-parse --verify refs/stash &>/dev/null); then
-        s="$s$";
-      fi
-
-    fi
-
-    # get the short symbolic ref
-    # if HEAD isn't a symbolic ref, get the short SHA
-    # otherwise, just give up
-    branchName="$(git symbolic-ref --quiet --short HEAD 2> /dev/null || \
-                  git rev-parse --short HEAD 2> /dev/null || \
-                  printf "(unknown)")"
-
-    [ -n "$s" ] && s=" [$s]"
-
-    printf "%s" "$1$branchName$s"
-  else
-    return
-  fi
-}
-
-set_prompts()
-{
-  local black=""
-  local blue=""
-  local bold=""
-  local cyan=""
-  local green=""
-  local orange=""
-  local purple=""
-  local red=""
-  local reset=""
-  local white=""
-  local yellow=""
-
-  local hostStyle=""
-  local userStyle=""
-
-  # Solarized colors
-  # (https://github.com/altercation/solarized/tree/master/iterm2-colors-solarized#the-values)
-  if [ -x /usr/bin/tput ] && tput setaf 1 >& /dev/null; then
-    bold=$(tput bold)
-    reset=$(tput sgr0)
-
-    black=$(tput setaf 0)
-    blue=$(tput setaf 33)
-    cyan=$(tput setaf 37)
-    green=$(tput setaf 64)
-    orange=$(tput setaf 166)
-    purple=$(tput setaf 125)
-    red=$(tput setaf 124)
-    violet=$(tput setaf 61)
-    white=$(tput setaf 15)
-    yellow=$(tput setaf 136)
-  else
-    bold=""
-    reset="\e[0m"
-
-    black="\e[1;30m"
-    blue="\e[1;34m"
-    cyan="\e[1;36m"
-    green="\e[1;32m"
-    orange="\e[1;33m"
-    purple="\e[1;35m"
-    red="\e[1;31m"
-    violet="\e[1;35m"
-    white="\e[1;37m"
-    yellow="\e[1;33m"
-  fi
-
-  # build the prompt
-
-  # logged in as root
-  if [[ "$USER" == "root" ]]; then
-      userStyle="\[$bold$red\]"
-  else
-      userStyle="\[$orange\]"
-  fi
-
-  # connected via ssh
-  if [[ "$SSH_TTY" ]]; then
-      hostStyle="\[$bold$red\]"
-  else
-      hostStyle="\[$yellow\]"
-  fi
-
-  # Set the terminal title to the current working directory.
-  PS1="\[\033]0;\w\007\]"
-
-  if [ -n "${BASH_VERSION}" ]; then
-    PS1+=$'\r' # carriage return
-    PS1+="\[$userStyle\]\u" # username
-    PS1+="\[$reset$white\] at "
-    PS1+="\[$hostStyle\]\h" # host
-    PS1+="\[$reset$white\] in "
-    PS1+="\[$green\]\w" # working directory
-  #  PS1+="\$(prompt_git \"$white on $cyan\")" # git repository details
-    PS1+="\$(__git_ps1 ' \[${white}\]on \[${cyan}\]%s]')";  # on branch
-    PS1+=$'\n' # newline
-    PS1+="\[$reset$white\]\$ \[$reset\]" # $ (and reset color)
-
-    PS2="\[${yellow}\]→ " # `→`
-    PS2+="\[${reset}\]" # reset color
-  else
-    PS1+=$'\r' # carriage return
-    PS1+="\u at \h in \w on \$(__git_ps1 %s])"
-    PS1+=$'\n''\$ ' # newline and $
-
-    PS2="→ "
-  fi
-
-  export PS1
-  export PS2;
-}
-
-
-set_prompts
-unset set_prompts
index c1ae363e078b257d24d9807611d6a9879f356cc9..ac752e18b9f1b1cbe4fcf26779d461724e7277fd 100644 (file)
--- a/.profile
+++ b/.profile
@@ -12,6 +12,6 @@ if [ -n "${BASH_VERSION}" ]; then
 fi
 
 # set path, environment, prompt etc
-for file in ${HOME}/.config/profile/rc/*.sh; do
+for file in ${HOME}/.config/profile/*.sh; do
   [ -f "$file" ] && . "$file";
 done;